@echo off
if %1. == . goto errarg

echo.
echo NOTE:  You need four 3.5" diskettes to create Install Disks...
echo Diskettes will be formatted before file copy.
echo.
pause

echo.
echo Disk #1 (Type "N" when asked to format another disk)
format %1 /u /v:VIP20_32R_1
xcopy data.1       %1\ /v
xcopy disk1.id     %1\ /v
xcopy setup.ins    %1\ /v
xcopy setup.ini    %1\ /v
xcopy setup.pkg    %1\ /v
xcopy setup.bmp    %1\ /v
xcopy setup.exe    %1\ /v
xcopy uninst16.exe %1\ /v
xcopy _inst16.ex_  %1\ /v
xcopy _isdel.exe   %1\ /v
xcopy _setup.lib   %1\ /v
xcopy _setup.dll   %1\ /v
if exist readme.txt xcopy readme.txt %1\ /v
if exist resmatrx.lso xcopy resmatrx.lso %1\ /v

echo.
echo Disk #2 (Type "N" when asked to format another disk)
format %1 /u /v:VIP20_32R_2
xcopy data.2       %1\ /v
xcopy disk2.id     %1\ /v

echo.
echo Disk #3 (Type "N" when asked to format another disk)
format %1 /u /v:VIP20_32R_3
xcopy data.3       %1\ /v
xcopy disk3.id     %1\ /v

echo.
echo Disk #4 (Type "N" when asked to format another disk)
format %1 /u /v:VIP20_32R_4
xcopy data.4       %1\ /v
xcopy disk4.id     %1\ /v

echo.
echo Done!
goto end

:errarg
echo.
echo.  MKDISKS.BAT takes one argument:  the destination (floppy) drive.
echo            ex:  MKDISKS A:
echo.

:end
